package object;

import java.util.ArrayList;

import javax.media.opengl.GL;

public class ParticleSystem {
	
	protected ArrayList<Particle> particles;
	
	public ParticleSystem() {
		
	}
	
	public void render(GL gl) {
		
		for(int i = 0; i < particles.size(); i++)
			particles.get(i).render(gl);
	}
}

class Particle {
	
	double size;
	
	double xPos, yPos, zPos;
	double xRot, yRot, zRot;
	
	public Particle() {
		
		xPos = 0;
		yPos = 0;
		zPos = 0;
		
		xRot = 0;
		yRot = 0;
		zRot = 0;
	}
	
	public void update() {
		
	}
	
	public void render(GL gl) {
		
		
		
	}
}